// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// selector for different autonomous drone applications
// ====================================================

#include "appZieglerNichols.h"
#include "appFollowLine.h"
#include "appFollowTag.h"
#include "hawaii/GPU/init.h"

// entry point
int main() {
	
	// GPU initialization
	hawaii::GPU::init() ; {
	
		// un-comment one drone application which you want to use
//		DroneAppZieglerNichols droneApp ; // STUD_TODO
		DroneAppFollowLine     droneApp ; // STUD_TODO
//		DroneAppFollowTag      droneApp ;
		
		// run and block until the drone application is finished, process multiple different callbacks at a time
		droneApp.start() ;
		droneApp.wait() ;
		
	// GPU shutdown
	} hawaii::GPU::reset() ;
	
	// return "0" as in success
	return 0 ;
}
