// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// wrapper for more convenient use of ROS service "/ardrone/setflightanimation"
// ============================================================================
#pragma once

#include <ardrone_autonomy/FlightAnim.h>

// readable values of "ardrone_autonomy::FlightAnimRequest::type": The names below have just been copied from 
//                                                                 "ardrone_autonomy/srv/FlightAnim.srv"
enum FlightAnimType {
	flightAnimTypePhiMinus30          =   0,
	flightAnimTypePhiPlus30           =   1,
	flightAnimTypeThetaMinus30        =   2,
	flightAnimTypeThetaPlus30         =   3,
	flightAnimTypeTheta20YawPlus200   =   4,
	flightAnimTypeTheta20YawMinus200  =   5,
	flightAnimTypeTurnAround          =   6,
	flightAnimTypeTurnAroundGoDown    =   7,
	flightAnimTypeYawShake            =   8,
	flightAnimTypeYawDance            =   9,
	flightAnimTypePhiDance            =  10,
	flightAnimTypeThetaDance          =  11,
	flightAnimTypeVzDance             =  12,
	flightAnimTypeWave                =  13,
	flightAnimTypePhiThetaMixed       =  14,
	flightAnimTypeDoublePhiThetaMixed =  15,
	flightAnimTypeFlipAhead           =  16,
	flightAnimTypeFlipBehind          =  17,
	flightAnimTypeFlipLeft            =  18,
	flightAnimTypeFlipRight           =  19,
} ;
