// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// binary to call "clozer.sh", because the setuid bit is ineffective on the script itself
// ======================================================================================

#include <boost/filesystem/path.hpp>
#include <boost/filesystem/operations.hpp>
#include <sstream>
#include <cstdlib>

// entry point
int main( int argc, char** argv ) {
	
	// generate bash command to be called
	std::ostringstream call ;
	call << PWD ;                           // absolute folder path of called binary
	call << "/clozer.sh " ;                 // name of bash script
	if( argc >= 2 ) { call << argv[ 1 ] ; } // argument to select between MTP and RVMRT
	
	// print and execute command
	std::cout << call.str() << std::endl ;
	return system( call.str().c_str() ) ;
}

